from abc import ABC

from models.News import News


class NewsServiceInterface(ABC):
    def get_all(self) -> list[News]:
        raise NotImplementedError

    def get_by_id(self, id: str) -> News | None:
        raise NotImplementedError

    def insert(self, news: News):
        raise NotImplementedError

    def insert_many(self, news: list[News]):
        raise NotImplementedError
